Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### pushMatrix()

Examples

    rect(0, 0, 50, 50);   //White rectangle
    pushMatrix();
    translate(30, 20);
    fill(0);
    rect(0, 0, 50, 50);   //Black rectangle
    popMatrix();
    fill(102);
    rect(15, 10, 50, 50); //Gray rectangle

Description

Pushes the current transformation matrix onto the matrix stack. Understanding pushMatrix() and popMatrix() requires understanding the concept of a matrix stack. The pushMatrix() function saves the current coordinate system to the stack and popMatrix() restores the prior coordinate system. pushMatrix() and popMatrix() are used in conjuction with the other transformation methods and may be embedded to control the scope of the transformations.

Syntax

    pushMatrix()

Parameters

Usage | Web & Application
Related | popMatrix() translate() rotate() rotateX() rotateY() rotateZ()

Updated on December 20, 2005 02:03:00pm PST